/*
    Created by Quo
*/
 


-- ENGLAND


-- Make the Royal Navy Dockyard no longer a replacement for the Harbor
DELETE FROM DistrictReplaces WHERE CivUniqueDistrictType = 'DISTRICT_ROYAL_NAVY_DOCKYARD' AND ReplacesDistrictType='DISTRICT_HARBOR' ;

UPDATE Districts SET PrereqCivic='CIVIC_NAVAL_TRADITION', TradeRouteCapacity=0, MilitaryDomain='NO_DOMAIN', RequiresPopulation='0', CostProgressionModel='COST_PROGRESSION_GAME_PROGRESS', CostProgressionParam1='1000', Housing='3' WHERE DistrictType='DISTRICT_ROYAL_NAVY_DOCKYARD' ;



-- Change Vicky's unique so that we get a free melee unit from any coastal city, not just ones on another continent



INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_VICKY_OTHER CONTINTENT', 	'REQUIREMENT_CITY_IS_OWNER_CAPITAL_CONTINENT',	0,1,0),
	('QUO_REQ_VICKY_CITY_ADJACENT_COAST', 	'REQUIREMENT_PLOT_ADJACENT_TO_COAST',	0,0,0) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_VICTORIA_FREE_MELEE', 	'REQUIREMENTSET_TEST_ANY') ;



INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_VICTORIA_FREE_MELEE', 	'QUO_REQ_VICKY_OTHER CONTINTENT'),
	('QUO_REQSET_VICTORIA_FREE_MELEE', 	'QUO_REQ_VICKY_CITY_ADJACENT_COAST') ; 


UPDATE Modifiers SET SubjectRequirementSetId='QUO_REQSET_VICTORIA_FREE_MELEE' WHERE ModifierId='TRAIT_FREE_MELEE_UNIT_NON_HOME_CONTINENT' ;





-- RUSSIA


-- Add adjacency bonuses for Industrial Zones in Tundra

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_RUSSIA_IZ_ADJACENCY', 'MODIFIER_ALL_CITIES_TERRAIN_ADJACENCY', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_RUSSIA_IZ_ADJACENCY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,  
	('QUO_RUSSIA_IZ_ADJACENCY', 	'Description', 	'ARGTYPE_IDENTITY', 	'QUO_LOC_RUSSIA_IZ_ADJACENCY',			NULL, 	NULL) , 
	('QUO_RUSSIA_IZ_ADJACENCY', 	'DistrictType', 'ARGTYPE_IDENTITY', 	'DISTRICT_INDUSTRIAL_ZONE',			NULL, 	NULL) ,
	('QUO_RUSSIA_IZ_ADJACENCY', 	'TerrainType', 	'ARGTYPE_IDENTITY', 	'TERRAIN_TUNDRA_HILLS',			NULL, 	NULL) ,
	('QUO_RUSSIA_IZ_ADJACENCY', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',			NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_MOTHER_RUSSIA',	'QUO_RUSSIA_IZ_ADJACENCY') ;



-- Reduce how much Peter gets from Eurekas

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_RUSSIA_LOW_BOOST_TECH', 'MODIFIER_PLAYER_ADJUST_CIVIC_BOOST', 0, 0, NULL, NULL), 
	('QUO_RUSSIA_LOW_BOOST_CIV', 'MODIFIER_PLAYER_ADJUST_TECHNOLOGY_BOOST', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_RUSSIA_LOW_BOOST_TECH', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-10',			NULL, 	NULL) , 
	('QUO_RUSSIA_LOW_BOOST_CIV', 	'Amount',	 'ARGTYPE_IDENTITY', 	'-10',			NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_GRAND_EMBASSY',	'QUO_RUSSIA_LOW_BOOST_TECH') ,
	('TRAIT_LEADER_GRAND_EMBASSY',	'QUO_RUSSIA_LOW_BOOST_CIV') ;





-- Give Peter an extra trade route for every Industrial Zone in Tundra.
-- Since Tundra is different from Tundra Hills we have to make sure to handle both


-- Is this an Industrial Zone?
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_INDUSTRIAL_ZONE', 	'REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES',	0,0,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_INDUSTRIAL_ZONE',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_INDUSTRIAL_ZONE',	NULL,	NULL 	) ;




INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_INDUSTRIAL_ZONE', 	'REQUIREMENTSET_TEST_ALL') ,
	('QUO_REQSET_INDUSTRIAL_ZONE_HILL', 	'REQUIREMENTSET_TEST_ALL') ;



INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_INDUSTRIAL_ZONE', 	'QUO_REQ_INDUSTRIAL_ZONE'),
	('QUO_REQSET_INDUSTRIAL_ZONE', 	'REQUIRES_PLOT_HAS_TUNDRA'),
	('QUO_REQSET_INDUSTRIAL_ZONE_HILL', 	'QUO_REQ_INDUSTRIAL_ZONE'), 
	('QUO_REQSET_INDUSTRIAL_ZONE_HILL', 	'REQUIRES_PLOT_HAS_TUNDRA_HILLS') ; 



INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, 'QUO_REQSET_INDUSTRIAL_ZONE'),
	('QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE_HILL', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, 'QUO_REQSET_INDUSTRIAL_ZONE_HILL') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'1',			NULL, 	NULL),
	('QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE_HILL', 	'Amount', 	'ARGTYPE_IDENTITY', 		'1',			NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_GRAND_EMBASSY',	'QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE'),
	('TRAIT_LEADER_GRAND_EMBASSY',	'QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE_HILL') ;






-- JAPAN

-- Half off electronics factories
UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_ELECTRONICS_FACTORY' ;


-- ARABIA


-- Half off Madrassas
UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_MADRASA' ;



-- Give Arabia 50% discount on building Shrines and Temples, so they have better synergy with their cheaper faith building


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_ARABIA_CHEAP_SHRINE', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL), 
	('QUO_ARABIA_CHEAP_TEMPLE', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_ARABIA_CHEAP_SHRINE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'50',			NULL, 	NULL) , 
	('QUO_ARABIA_CHEAP_SHRINE', 	'BuildingType', 'ARGTYPE_IDENTITY', 	'BUILDING_SHRINE',	NULL, 	NULL) ,
	('QUO_ARABIA_CHEAP_TEMPLE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'50',			NULL, 	NULL) , 
	('QUO_ARABIA_CHEAP_TEMPLE', 	'BuildingType', 'ARGTYPE_IDENTITY', 	'BUILDING_TEMPLE',	NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_LAST_PROPHET',	'QUO_ARABIA_CHEAP_SHRINE'),
	('TRAIT_CIVILIZATION_LAST_PROPHET',	'QUO_ARABIA_CHEAP_TEMPLE') ;



-- Update the amount of Science per foreign city following Arabia's religion
UPDATE ModifierArguments SET Value='2' WHERE ModifierId='TRAIT_SCIENCE_PER_FOREIGN_CITY_FOLLOWING_RELIGION' AND Name='Amount' ;



-- SUMERIA
-- The Ziggurat now provides adjacency bonuses to Industrial Zones as if it were a mine or quarry

INSERT INTO Adjacency_YieldChanges 
	(ID,				Description,				YieldType,		YieldChange,	TilesRequired,	OtherDistrictAdjacent,	AdjacentSeaResource,	AdjacentTerrain,	AdjacentFeature,	AdjacentRiver,	AdjacentWonder,	AdjacentNaturalWonder,	AdjacentImprovement,		AdjacentDistrict,	PrereqCivic,	PrereqTech,	ObsoleteCivic,	ObsoleteTech,	AdjacentResource)
VALUES	('QUO_Zig_Ham',			'QUO_LOC_ZIG_ADJ',			'YIELD_PRODUCTION',	1,		1,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_ZIGGURAT',		NULL,			NULL,		NULL,		NULL,		NULL,		0) ;

INSERT INTO District_Adjacencies
	(DistrictType,	YieldChangeId)
VALUES	('DISTRICT_INDUSTRIAL_ZONE', 'QUO_Zig_Ham') ; 



-- Give Sumeria a permanent +10 bonus to fighting Barbarians
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_SUMERIA_BARBARIANS', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_SUMERIA_BARBARIANS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'10',		NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 					ModifierID)
VALUES	('TRAIT_CIVILIZATION_FIRST_CIVILIZATION',	'QUO_SUMERIA_BARBARIANS') ;



-- Nerf the War Cart by delaying it 
UPDATE Units SET PrereqTech=NULL, PrereqCivic='CIVIC_FOREIGN_TRADE' WHERE UnitType='UNIT_SUMERIAN_WAR_CART' ; 



-- CHINA
-- Great Wall now gives +0.5 as an adjacency bonus to districts it borders

INSERT INTO Adjacency_YieldChanges 
	(ID,				Description,				YieldType,		YieldChange,	TilesRequired,	OtherDistrictAdjacent,	AdjacentSeaResource,	AdjacentTerrain,	AdjacentFeature,	AdjacentRiver,	AdjacentWonder,	AdjacentNaturalWonder,	AdjacentImprovement,		AdjacentDistrict,	PrereqCivic,	PrereqTech,	ObsoleteCivic,	ObsoleteTech,	AdjacentResource)
VALUES	('QUO_GreatWall_Ham',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_PRODUCTION',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0), 
	('QUO_GreatWall_Cul',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_CULTURE',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0), 
	('QUO_GreatWall_Fai',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_FAITH',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0), 
	('QUO_GreatWall_Sci',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_SCIENCE',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0), 
	('QUO_GreatWall_Gold',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_GOLD',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0) ;

INSERT INTO District_Adjacencies
	(DistrictType,	YieldChangeId)
VALUES	('DISTRICT_HOLY_SITE', 'QUO_GreatWall_Fai'), 
	('DISTRICT_THEATER', 'QUO_GreatWall_Cul'),
	('DISTRICT_COMMERCIAL_HUB', 'QUO_GreatWall_Gold'),
	('DISTRICT_INDUSTRIAL_ZONE', 'QUO_GreatWall_Ham'),
	('DISTRICT_CAMPUS', 'QUO_GreatWall_Sci') ; 



-- GREECE

-- Hoplites
-- Create a new ability that damages melee units


-- Is this a melee unit we are attacking?
INSERT INTO Requirements
	(RequirementId, 	RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_OPPONENT_MELEE', 	'REQUIREMENT_OPPONENT_UNIT_PROMOTION_CLASS_MATCHES',	0,0,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_OPPONENT_MELEE',	'UnitPromotionClass',	'ARGTYPE_IDENTITY',	'PROMOTION_CLASS_MELEE',	NULL,	NULL 	) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 	RequirementSetType)
VALUES 	('QUO_REQSET_OPPONENT_MELEE', 'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_OPPONENT_MELEE', 'QUO_REQ_OPPONENT_MELEE') ;


-- The modifier
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_ANTI_MELEE', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 0, 0, NULL, 'QUO_REQSET_OPPONENT_MELEE') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_MOD_ANTI_MELEE', 		'Amount', 	'ARGTYPE_IDENTITY', 	'10',		NULL, 	NULL) ;


-- Create the ability
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_ABI_ANTI_MELEE',		'KIND_ABILITY'	) ;


INSERT INTO UnitAbilities
	(UnitAbilityType, 	Name, 				Description, 					Inactive)
VALUES 	('QUO_ABI_ANTI_MELEE', 	'QUO_LOC_ABI_ANTI_MELEE',	'QUO_LOC_ABILITY_ANTI_CAVALRY_DESCRIPTION', 	0) ;


INSERT INTO UnitAbilityModifiers
	(UnitAbilityType, 	ModifierId)
VALUES 	('QUO_ABI_ANTI_MELEE',	'QUO_MOD_ANTI_MELEE') ;	 



-- Tie the ability to the unit
INSERT INTO TypeTags
	(Type,					Tag)
VALUES  ('QUO_ABI_ANTI_MELEE', 			'CLASS_HOPLITE') ;



-- Add a string to describe the ability in combat previews
INSERT INTO ModifierStrings
	(ModifierId, 		Context, Text)
VALUES	('QUO_MOD_ANTI_MELEE', 'Preview', 'QUO_LOC_ABILITY_ANTI_MELEE_MODIFIER_DESCRIPTION') ;







-- Pericles only
-- Let Pericles accumulate influence points when not at war

INSERT INTO Modifiers
	(ModifierID, 				ModifierType, 						RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_PERICLES_EXTRA_INFLUENCE', 	'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 	0, 		0, 		NULL,			'PLAYER_IS_AT_PEACE_WITH_ALL_MAJORS') ;


INSERT INTO ModifierArguments
	(ModifierID,				Name,		Type, 				Value,			Extra)
VALUES	('QUO_PERICLES_EXTRA_INFLUENCE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'3',			NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('TRAIT_LEADER_SURROUNDED_BY_GLORY',	'QUO_PERICLES_EXTRA_INFLUENCE') ;




-- Gorgo only
-- Let Gorgo accumulate influence points when at war


-- We have to make a requirement since none appears to exist

INSERT INTO Requirements
	(RequirementId, 	RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_AT_WAR_WITH_MAJOR', 	'REQUIREMENT_PLAYER_IS_AT_PEACE_WITH_ALL_MAJORS',	0,1,0) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 	RequirementSetType)
VALUES 	('QUO_REQSET_AT_WAR_WITH_MAJOR', 	'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_AT_WAR_WITH_MAJOR', 	'QUO_REQ_AT_WAR_WITH_MAJOR') ;




INSERT INTO Modifiers
	(ModifierID, 				ModifierType, 						RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_GORGO_EXTRA_INFLUENCE', 		'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 	0, 		0, 		NULL,			'QUO_REQSET_AT_WAR_WITH_MAJOR') ;


INSERT INTO ModifierArguments
	(ModifierID,				Name,		Type, 				Value,			Extra)
VALUES	('QUO_GORGO_EXTRA_INFLUENCE', 		'Amount', 	'ARGTYPE_IDENTITY', 		'3',			NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('CULTURE_KILLS_TRAIT',			'QUO_GORGO_EXTRA_INFLUENCE') ;




-- ROME
-- Slightly boost Roman legions since Swordsmen got buffed, and give them the Anti-Melee ability 
UPDATE Units SET Combat='43' WHERE UnitType='UNIT_ROMAN_LEGION' ;



-- Anti-Melee ability
INSERT INTO Tags 
	(Tag, 				Vocabulary)
VALUES 	('QUO_CLASS_ROMAN_LEGION',	'ABILITY_CLASS'	) ;


INSERT INTO TypeTags
	(Type,				Tag)
VALUES	('UNIT_ROMAN_LEGION', 		'QUO_CLASS_ROMAN_LEGION') ;


INSERT INTO TypeTags
	(Type,				Tag)
VALUES  ('QUO_ABI_ANTI_MELEE', 		'QUO_CLASS_ROMAN_LEGION') ;





-- NORWAY

-- Half off Stave Churches
UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_STAVE_CHURCH' ;


-- Norway now builds Stave Churches (temple replacement) in the city center, without needing a Holy District. Prereq is now the Monument.

UPDATE Buildings SET PrereqDistrict='DISTRICT_CITY_CENTER' WHERE BuildingType='BUILDING_STAVE_CHURCH' ;

UPDATE BuildingPrereqs SET PrereqBuilding='BUILDING_MONUMENT' WHERE Building='BUILDING_STAVE_CHURCH' ;

-- Update the Stave Church so the extra faith is derived from the city center rather than Holy district
UPDATE ModifierArguments SET Value='DISTRICT_CITY_CENTER' WHERE Name='DistrictType' AND ModifierId='STAVE_CHURCH_FAITHWOODSADJACENCY' ;





-- Allow Norway to violate Closed Borders with any ship

INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_BOATS_IGNORE_BORDERS', 	'MODIFIER_PLAYER_UNIT_ADJUST_ENTER_FOREIGN_LANDS', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_BOATS_IGNORE_BORDERS', 	'Enter', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ;




-- Modifier 2 for the policy
INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_BOATS_IGNORE_BORDERS_2', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'REQUIREMENTS_UNIT_SEA_DOMAIN') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_BOATS_IGNORE_BORDERS_2', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_MOD_BOATS_IGNORE_BORDERS',			NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_MELEE_COASTAL_RAIDS',	'QUO_MOD_BOATS_IGNORE_BORDERS_2') ;




-- AMERICA

-- Half off film studios
UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_FILM_STUDIO' ;



-- Lower the cost of purchasing tiles

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_AMERICA_PLOTPURCHASECOST', 'MODIFIER_PLAYER_CITIES_ADJUST_PLOT_PURCHASE_COST', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_AMERICA_PLOTPURCHASECOST', 'Amount', 	'ARGTYPE_IDENTITY', 	'-20',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_FOUNDING_FATHERS',	'QUO_AMERICA_PLOTPURCHASECOST') ;




-- Give American units extra vision


-- Types and tag types to tell us which units will eventually get this ability
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_ABILITY_EXTRA_VISION',	'KIND_ABILITY'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES  ('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RECON'), 
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_MELEE'), 
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RANGED'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_SIEGE'),
 	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_HEAVY_CAVALRY'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RANGED_CAVALRY'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_ANTI_CAVALRY') ;
 



-- the vision modifier itself, including the amount of the bonus
INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_SPYGLASS', 		'MODIFIER_PLAYER_UNIT_ADJUST_SIGHT', 	0, 		0, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_SPYGLASS', 		'Amount', 	'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL) ;





-- the ability containing the vision modifier
INSERT INTO UnitAbilities
	(UnitAbilityType,		Name,				Description,			Inactive)
VALUES	('QUO_ABILITY_EXTRA_VISION',	'QUO_LOC_EXTRA_VISION',		'QUO_LOC_EXTRA_VISION_DESC',	"1"	) ;


INSERT INTO UnitAbilityModifiers
	(UnitAbilityType, 			ModifierId)
VALUES 	('QUO_ABILITY_EXTRA_VISION', 		'QUO_SPYGLASS');




-- Associate the new ability with America
INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_AMERICA_ABILITY', 	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 	0, 		1, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_AMERICA_ABILITY', 	'AbilityType', 	'ARGTYPE_IDENTITY', 	'QUO_ABILITY_EXTRA_VISION',	NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 					ModifierID)
VALUES	('TRAIT_CIVILIZATION_FOUNDING_FATHERS',		'QUO_AMERICA_ABILITY') ;
	





-- EGYPT



-- Give Cleo extra maximum Traders
INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_EGYPT_EXTRA_TRADERS', 	'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY', 	0, 		0, 		NULL,			NULL) ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,		Type, 				Value,			Extra)
VALUES	('QUO_EGYPT_EXTRA_TRADERS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'2',			NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('TRAIT_LEADER_MEDITERRANEAN',	'QUO_EGYPT_EXTRA_TRADERS') ;




-- Increase the bonus for building on a river
UPDATE ModifierArguments SET Value='30' WHERE ModifierId='TRAIT_RIVER_FASTER_BUILDTIME_DISTRICT' AND Name='Amount' ;
UPDATE ModifierArguments SET Value='30' WHERE ModifierId='TRAIT_RIVER_FASTER_BUILDTIME_WONDER' AND Name='Amount' ;



-- Make the Sphinx provide adjacencies for Holy and Theater districts

INSERT INTO Adjacency_YieldChanges 
	(ID,				Description,				YieldType,		YieldChange,	TilesRequired,	OtherDistrictAdjacent,	AdjacentSeaResource,	AdjacentTerrain,	AdjacentFeature,	AdjacentRiver,	AdjacentWonder,	AdjacentNaturalWonder,	AdjacentImprovement,		AdjacentDistrict,	PrereqCivic,	PrereqTech,	ObsoleteCivic,	ObsoleteTech,	AdjacentResource)
VALUES	('QUO_Sphinx_Cult',		'QUO_LOC_SPHINX_CULT_ADJ',		'YIELD_CULTURE',	1,		1,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_SPHINX',		NULL,			NULL,		NULL,		NULL,		NULL,		0) ,
	('QUO_Sphinx_Fai',		'QUO_LOC_SPHINX_FAI_ADJ',		'YIELD_FAITH',		1,		1,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_SPHINX',		NULL,			NULL,		NULL,		NULL,		NULL,		0) ;


INSERT INTO District_Adjacencies
	(DistrictType,	YieldChangeId)
VALUES	('DISTRICT_HOLY_SITE', 'QUO_Sphinx_Fai') , 
	('DISTRICT_THEATER', 'QUO_Sphinx_Cult') ; 




-- Update the Chariot Archer so that it can move and attack, like a Cossack

INSERT INTO Tags 
	(Tag, 				Vocabulary)
VALUES 	('QUO_CLASS_EGYPT_CHARIOT',	'ABILITY_CLASS'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES	('UNIT_EGYPTIAN_CHARIOT_ARCHER', 	'QUO_CLASS_EGYPT_CHARIOT') ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES	('ABILITY_COSSACK', 			'QUO_CLASS_EGYPT_CHARIOT') ;


-- Lower its attack power because otherwise it is way too strong
UPDATE Units SET Combat='15', RangedCombat='23' WHERE UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER' ;



-- FRANCE

-- CHATEAU: Change pre-req civic to Drama and Poetry. +1 Housing. Tourism bonus now unlocks with Humanism.
UPDATE Improvements SET PrereqCivic='CIVIC_DRAMA_POETRY', Housing='1' WHERE ImprovementType='IMPROVEMENT_CHATEAU' ;


UPDATE Improvement_Tourism SET PREREQTECH=NULL, PREREQCIVIC='CIVIC_HUMANISM' WHERE ImprovementType='IMPROVEMENT_CHATEAU' ;


-- Update the tech that unlocks Spies
UPDATE RequirementArguments SET Value='TECH_WRITING' WHERE RequirementId='REQUIRES_TECHNOLOGY_CASTLES' ;





-- Make the Chateau a Culture Bomb

INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_FRANCE_CULTURE_BOMB', 	'MODIFIER_PLAYER_ADD_CULTURE_BOMB_TRIGGER', 	0, 		0, 		NULL,			NULL) ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,			Type, 			Value,			Extra)
VALUES	('QUO_FRANCE_CULTURE_BOMB', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_CHATEAU',	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('TRAIT_CIVILIZATION_WONDER_TOURISM',	'QUO_FRANCE_CULTURE_BOMB') ;





-- SPAIN

-- MISSION: Make this unlock earlier. Now buildable on forest or jungle. Science bonus now starts at 1 and improves by 1 at the respective tech
UPDATE Improvements SET PrereqCivic='CIVIC_THEOLOGY' WHERE ImprovementType='IMPROVEMENT_MISSION' ;

UPDATE Improvement_BonusYieldChanges SET BonusYieldChange='1' WHERE ImprovementType='IMPROVEMENT_MISSION' AND YieldType='YIELD_SCIENCE' ;
UPDATE Improvement_YieldChanges SET YieldChange='1' WHERE ImprovementType='IMPROVEMENT_MISSION' AND YieldType = 'YIELD_SCIENCE' ;


INSERT INTO Improvement_ValidFeatures
	(	ImprovementType, 	FeatureType)  	
VALUES	(	'IMPROVEMENT_MISSION', 	'FEATURE_FOREST') ,
	(	'IMPROVEMENT_MISSION',	'FEATURE_JUNGLE') ;


-- Give Spain a discount on Holy districts
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_EL_ESCORIAL',	'TRAIT_BOOST_HOLY_SITE_PRODUCTION') ;



-- Cities of Gold
-- Give an adjacency bonus for Commercial Zones next to Natural Wonders
-- We don't know what Natural Wonders the player may have installed from DLC, so we have to scan the database and dynamically add them
-- Each modifier will receive a concat name based on its Feature type, e.g. QUO_SPAIN_ADJACENCY_COM_FEATURE_BARRIER_REEF

INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 	            'MODIFIER_PLAYER_CITIES_FEATURE_ADJACENCY', 	0, 		0, 		NULL,			'PLOT_NOT_OWNER_CAPITAL_CONTINENT_REQUIREMENTS'
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'Description', 	'ARGTYPE_IDENTITY', 	'QUO_LOC_SPAIN_ADJACENCY_COM',			NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'DistrictType', 	'ARGTYPE_IDENTITY', 	'DISTRICT_COMMERCIAL_HUB',		NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'FeatureType', 	'ARGTYPE_IDENTITY', 	Features.FeatureType,		NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_GOLD',		NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT  'TRAIT_CIVILIZATION_TREASURE_FLEET', 'QUO_SPAIN_ADJACENCY_COM_' || FeatureType
	FROM Features WHERE Features.NaturalWonder=1 ;






-- PEDRO


