/*
    Created by Quo
*/
 


-- UNIT MOVEMENT (ROCKETBOOTS)
-- Give every unit 1 additional move point
UPDATE Units SET BaseMoves=BaseMoves + 1 ;




-- GOVERNMENT

-- Chiefdom 
-- Remove the economic policy slot and add a wildcard slot
UPDATE Government_SlotCounts SET NumSlots=0 WHERE GovernmentType='GOVERNMENT_CHIEFDOM' AND GovernmentSlotType='SLOT_ECONOMIC' ;

INSERT INTO Government_SlotCounts 
		(GovernmentType, GovernmentSlotType, NumSlots)
VALUES 		('GOVERNMENT_CHIEFDOM', 'SLOT_WILDCARD', 1) ;




-- ASSORTED RESOURCES
-- Allow Deer to appear near rivers, because deer live near rivers. Make them somewhat more common overall.
UPDATE Resources SET NoRiver='0', Frequency='6' WHERE ResourceType='RESOURCE_DEER' ;


-- Decrease Stone
UPDATE Resources SET Frequency=Frequency*0.5 WHERE ResourceType='RESOURCE_STONE' ;


-- STRATEGIC RESOURCES
-- Increase strategic resources by x2.5
UPDATE Resources SET Frequency=Frequency*2.5 WHERE ResourceClassType= 'RESOURCECLASS_STRATEGIC';

-- Make Iron not suck
UPDATE Resource_YieldChanges SET YieldChange='3' WHERE ResourceType='RESOURCE_IRON' AND YieldType='YIELD_SCIENCE' ;


-- Uranium now appears in water
INSERT INTO Resource_ValidTerrains
	(ResourceType,		TerrainType)
VALUES	('RESOURCE_URANIUM',	'TERRAIN_COAST')  ;

 


-- BORDER EXPANSION RATE
-- Make borders pop faster
-- To make borders pop faster, give the Palace a global bonus to border expansion

INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_CULTURE_BORDER_DISCOUNT', 'MODIFIER_ALL_CITIES_CULTURE_BORDER_EXPANSION', 0, 		0, 		NULL,			NULL) ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,		Type, 			Value,	Extra)
VALUES	('QUO_CULTURE_BORDER_DISCOUNT', 'Amount', 	'ARGTYPE_IDENTITY', 	'200',	NULL) ;


INSERT INTO TraitModifiers
	(TraitType,		ModifierID)
VALUES	('TRAIT_LEADER_MAJOR_CIV', 	'QUO_CULTURE_BORDER_DISCOUNT') ;




-- DISTRICTS

-- AQUEDUCT
-- Aqueducts/Baths provide Great Engineer points
INSERT INTO District_GreatPersonPoints 
	(DistrictType, 		GreatPersonClassType, 		PointsPerTurn)
VALUES	('DISTRICT_AQUEDUCT',	'GREAT_PERSON_CLASS_ENGINEER',	'1' ) ,
	('DISTRICT_BATH',	'GREAT_PERSON_CLASS_ENGINEER',	'1' ) ;


-- ENCAMPMENT
-- The encampment no longer has any tech pre-reqs.
UPDATE Districts SET PrereqTech=NULL WHERE DistrictType='DISTRICT_ENCAMPMENT' ;

-- WALLS 
-- In hardcore, Walls require a Barracks or Stable

INSERT INTO BuildingPrereqs 
	(Building, PrereqBuilding)
VALUES	('BUILDING_WALLS', 'BUILDING_BARRACKS'), 
	('BUILDING_WALLS', 'BUILDING_STABLE') ;



-- Move the stable and barracks up a tech
UPDATE Buildings SET PrereqTech='TECH_MINING' WHERE BuildingType='BUILDING_BARRACKS' ;
UPDATE Buildings SET PrereqTech='TECH_ANIMAL_HUSBANDRY', Cost='80' WHERE BuildingType='BUILDING_STABLE' ;


-- HOLY SITE
-- Move it off the tech tree to the civic tree, in the Mysticism civic
UPDATE Districts SET PrereqTech=NULL, PrereqCivic='CIVIC_MYSTICISM' WHERE DistrictType='DISTRICT_HOLY_SITE'; 
UPDATE Districts SET PrereqTech=NULL, PreReqCivic='CIVIC_MYSTICISM' WHERE DistrictType='DISTRICT_LAVRA' ;

-- Increase the number of GPP per turn to 2, because this mod makes getting prophets so much slower
UPDATE District_GreatPersonPoints SET PointsPerTurn='2' WHERE GreatPersonClassType='GREAT_PERSON_CLASS_PROPHET' AND DistrictType='DISTRICT_HOLY_SITE' ;
UPDATE District_GreatPersonPoints SET PointsPerTurn='2' WHERE GreatPersonClassType='GREAT_PERSON_CLASS_PROPHET' AND DistrictType='DISTRICT_LAVRA' ;




-- BUILDINGS

-- MONUMENTS
-- Because borders pop faster, the Monument is now a vital building. To balance with Rome, I cut the production cost of Monuments in half.
UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_MONUMENT' ;	


--PALACE
--The Palace has the effect of walls
UPDATE Buildings SET OuterDefenseHitPoints='40', OuterDefenseStrength='2' WHERE BuildingType='BUILDING_PALACE' ;


-- STONEHENGE
-- Move it to Masonry to delay how fast AI can grab it.
UPDATE Buildings SET PrereqTech='TECH_MASONRY' WHERE BuildingType='BUILDING_STONEHENGE' ;


-- SEWER
-- Now available at Mathematics, cost reduced
UPDATE Buildings SET PrereqTech='TECH_MATHEMATICS', Cost=Cost*.07 WHERE BuildingType='BUILDING_SEWER' ;



-- REGIONAL BUILDINGS
-- Double yields of regional buildings
UPDATE Building_YieldChanges SET YieldChange=YieldChange *2 WHERE BuildingType='BUILDING_FACTORY' ;
UPDATE Building_YieldChanges SET YieldChange=YieldChange *2 WHERE BuildingType='BUILDING_ELECTRONICS_FACTORY' ;
UPDATE Building_YieldChanges SET YieldChange=YieldChange *2 WHERE BuildingType='BUILDING_POWER_PLANT' ;

UPDATE Buildings SET Entertainment='3' WHERE BuildingType='BUILDING_ZOO' ;






-- INDIVIDUAL UNITS


-- SUPPORT UNITS
-- Cut cost of Support units in half
UPDATE Units SET Cost=Cost*0.5 WHERE FormationClass='FORMATION_CLASS_SUPPORT' ;


-- SWORDSMEN
-- Make Swordsmen somewhat better compared to horse units
UPDATE Units SET Combat='40' WHERE UnitType='UNIT_SWORDSMAN' ;


-- MUSKETMEN
-- Musketmen no longer require Niter, because this destroys the AI
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MUSKETMAN' ;


-- SCOUTS
-- Scouts start at level 2 instead of level 1
UPDATE Units SET InitialLevel='2' WHERE UnitType='UNIT_SCOUT' ;


--SETTLER STEALING
-- Settler escapes on contact
UPDATE Units SET CanRetreatWhenCaptured='1' WHERE UnitType='UNIT_SETTLER' ;




--- TECHS


-- ASTROLOGY
-- Scouts embark at Astrology
UPDATE Technologies SET EmbarkUnitType='UNIT_SCOUT' WHERE TechnologyType='TECH_ASTROLOGY' ;

-- Increase the cost of the tech somewhat given all the changes made to it
UPDATE Technologies SET Cost='80' WHERE TechnologyType='TECH_ASTROLOGY' ;


